USE [Database]

IF OBJECT_ID('[Procedures].[update_product_value]', 'P') IS NOT NULL
  DROP PROCEDURE [Procedures].[update_product_value];
GO
CREATE PROCEDURE [Procedures].[update_product_value]
  @product_value_id AS INT,
  @product_id       AS INT,
  @attribute_id     AS INT,
  @value            AS NVARCHAR(128)
AS
  UPDATE [Tables].[product_values]
  SET
    [product_id] = @product_id,
	[attribute_id] = @attribute_id,
	[value] = @value
  WHERE [id] = @product_value_id;
GO